#pragma once
#include "StateBase.h"
#include "auth/auth_dto.pb.h"

class FLoginStateBase : public FStateBase
{
public:
	FLoginStateBase(FLoginManager& InManager)
	:FStateBase(InManager){}

	void HttpCallback(const int32 ErrorCode,const FString& ErrorMsg,const heroim::client::v3beta::dto::auth::LoginResponse& Resp) const;

};

